Bug 1737379 - [4.1] drain takes 600s to evict the image-registry pod and container is still running afterwards
Summary: [4.1] drain takes 600s to evict the image-registry pod and container is still...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 4.1.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1729979
Blocks: 1729510 1743846
TreeView+ depends on / blocked
 
Reported: 2019-08-05 09:06 UTC by Antonio Murdaca
Modified: 2019-08-28 19:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the image registry was running from sh and signals were not propagated to the image registry. Consequence: the registry wasn't able to receive SIGTERM and it took few minutes to terminate the registry pod. Fix: replace sh with the registry process using exec Result: the registry is the pid 1 process and it's able to receive SIGTERM
Clone Of: 1729979
Environment:
Last Closed: 2019-08-28 19:54:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift image-registry pull 191 None None None 2019-08-16 14:11:17 UTC
Red Hat Product Errata RHBA-2019:2547 None None None 2019-08-28 19:54:59 UTC

Comment 1 Antonio Murdaca 2019-08-05 09:07:18 UTC
Cloned the BZ because the MCO needs the fix for drain as well in 4.1, xref: https://bugzilla.redhat.com/show_bug.cgi?id=1729510
The PR linked in the MCO bugzilla is blocked on the image-registry backport (this BZ)

Comment 5 errata-xmlrpc 2019-08-28 19:54:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2547


Note You need to log in before you can comment on or make changes to this bug.